=== src/kcmconfigs/CMakeLists.txt ===
install(FILES
  korganizer_configcolorsandfonts.desktop
  korganizer_configdesignerfields.desktop
  korganizer_configfreebusy.desktop
  korganizer_configgroupscheduling.desktop
  korganizer_configmain.desktop
  korganizer_configplugins.desktop
  korganizer_configtime.desktop
  korganizer_configviews.desktop
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)
