## korganizer 20.08.1

=== debian/changelog ===
korganizer (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:28 +0100

korganizer (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop depreciated followupreminder and kdepimdbusinterfaces build
    deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:26 +0100
