=== src/sounds/CMakeLists.txt ===
install(FILES
  alert.wav icemag.wav lightmag.wav onscreen.wav spinout.wav
  DESTINATION ${KDE_INSTALL_DATADIR}/korganizer/sounds
)
